### Function

# FwupdPlugin byte_array_set_size

since: 1.8.2

#### Declaration [src]

    void
    fu_byte_array_set_size (
      GByteArray* array,
      gsize length,
      guint8 data
    )

#### Description [src]

Sets the size of the GByteArray, expanding with `data` as required.

Available since: 1.8.2

#### Parameters

`array`

  Type: An array of `guint8`

  A `GByteArray`.

  The data is owned by the caller of the function.

`length`

  Type: `gsize`

  The new size of the GByteArray.

`data`

  Type: `guint8`

  The byte used to pad the array.